## ros-jazzy-rttest 0.17.0

=== debian/changelog ===
ros-jazzy-rttest (0.17.0-4bookworm) bookworm; urgency=high

  * Update to C++17 (#124 <https://github.com/ros2/realtime_support/issues/124>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rttest (0.16.0-4bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rttest (0.15.0-4bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#121 <https://github.com/ros2/realtime_support/issues/121>)
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rttest (0.14.1-4bookworm) bookworm; urgency=high

  * Addressing issues found in Humble testing (#116 <https://github.com/ros2/realtime_support/issues/116>)
  * Contributors: Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rttest (0.14.0-4bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-rttest (0.13.0-4bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#114 <https://github.com/ros2/realtime_support/issues/114>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rttest (0.12.1-4bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#113 <https://github.com/ros2/realtime_support/issues/113>)
  * Contributors: Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-rttest (0.12.0-4bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#111 <https://github.com/ros2/realtime_support/issues/111>)
  * Mark dependent targets as PRIVATE (#112 <https://github.com/ros2/realtime_support/issues/112>)
  * Export modern CMake targets (#110 <https://github.com/ros2/realtime_support/issues/110>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-jazzy-rttest (0.11.0-4bookworm) bookworm; urgency=high

  * Fix up nonsensical handling of NULL in rttest_get_{params,statistics} (#107 <https://github.com/ros2/realtime_support/issues/107>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-jazzy-rttest (0.10.1-4bookworm) bookworm; urgency=high

  * Remove "struct" from rttest_sample_buffer variable declaration. (#105 <https://github.com/ros2/realtime_support/issues/105>)
  * Convert the sample buffer to a vector. (#104 <https://github.com/ros2/realtime_support/issues/104>)
  * Use strdup instead of strlen/strcpy dance. (#100 <https://github.com/ros2/realtime_support/issues/100>)
  * Enable basic warnings in rttest (#99 <https://github.com/ros2/realtime_support/issues/99>)
  * Only copy an rttest_sample_buffer if it is not nullptr. (#98 <https://github.com/ros2/realtime_support/issues/98>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-rttest (0.10.0-4bookworm) bookworm; urgency=high

  * Convert timespec to uint64 not long and vice versa  (#94 <https://github.com/ros2/realtime_support/issues/94>) (#96 <https://github.com/ros2/realtime_support/issues/96>)
  * Fix standard deviation overflow(#95 <https://github.com/ros2/realtime_support/issues/95>) (#97 <https://github.com/ros2/realtime_support/issues/97>)
  * Contributors: y-okumura-isp

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-jazzy-rttest (0.9.0-4bookworm) bookworm; urgency=high

  * Use std::bind instead of deprecated std::bind2nd (#93 <https://github.com/ros2/realtime_support/issues/93>)
  * Use a uint64_t to store the prefault_dynamic_size. (#90 <https://github.com/ros2/realtime_support/issues/90>)
  * Make dynamic prefault memory size configurable (#89 <https://github.com/ros2/realtime_support/issues/89>)
  * code style only: wrap after open parenthesis if not in one line (#88 <https://github.com/ros2/realtime_support/issues/88>)
  * Contributors: Chris Lalancette, Dirk Thomas, Michel Hidalgo, Roman Sokolkov

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-jazzy-rttest (0.8.2-4bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-jazzy-rttest (0.8.1-4bookworm) bookworm; urgency=high

  * Fix typo (#83 <https://github.com/ros2/realtime_support/issues/83>)
  * Contributors: Servando

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-rttest (0.8.0-4bookworm) bookworm; urgency=high

  * Switch the latency storage to int64_t (#82 <https://github.com/ros2/realtime_support/issues/82>)
  * Only return statistics if they have been calculated (#81 <https://github.com/ros2/realtime_support/issues/81>)
  * Remove non-package from ament_target_dependencies() (#79 <https://github.com/ros2/realtime_support/issues/79>)
  * Fix armhf build warnings (#78 <https://github.com/ros2/realtime_support/issues/78>)
  * Contributors: Chris Lalancette, Prajakta Gokhale, Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-jazzy-rttest (0.7.1-4bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-jazzy-rttest (0.7.0-4bookworm) bookworm; urgency=high

  * Add section about DCO to CONTRIBUTING.md
  * Install headers into the same location when ament_cmake is not used (#72 <https://github.com/ros2/realtime_support/issues/72>)
  * Contributors: Dirk Thomas

 -- Brandon Ong <brandon@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-jazzy-rttest (0.6.0-4bookworm) bookworm; urgency=high

  * Drop obsolete RTLinux (#68 <https://github.com/ros2/realtime_support/issues/68>)

