=== debian/control ===
Source: ros-jazzy-rttest
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rttest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ros-workspace
Description: Instrumentation library for real-time performance testing
